Bug 1907298 - folly fails to build with Python 3.10: gmake error 2
Summary: folly fails to build with Python 3.10: gmake error 2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: folly
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-12-14 07:46 UTC by Tomáš Hrnčiar
Modified: 2021-01-25 03:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-25 03:18:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2020-12-14 07:46:27 UTC
folly fails to build with Python 3.10.0a3.

gmake[2]: *** [CMakeFiles/folly_base.dir/build.make:1424: CMakeFiles/folly_base.dir/folly/experimental/io/PollIoBackend.cpp.o] Error 1
gmake[2]: *** Waiting for unfinished jobs....
gmake[2]: Leaving directory '/builddir/build/BUILD/folly-2020.11.30.00/static_build/x86_64-redhat-linux-gnu'
gmake[1]: *** [CMakeFiles/Makefile2:223: CMakeFiles/folly_base.dir/all] Error 2
gmake[1]: Leaving directory '/builddir/build/BUILD/folly-2020.11.30.00/static_build/x86_64-redhat-linux-gnu'
gmake: *** [Makefile:152: all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.HZpXx7 (%build)

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01825440-folly/

For all our attempts to build folly with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/folly/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Davide Cavalca 2021-01-25 03:18:48 UTC
Looking at the latest builds on copr (e.g. https://copr.fedorainfracloud.org/coprs/g/python/python3.10/build/1898316/) this seems to be resolved now


Note You need to log in before you can comment on or make changes to this bug.